Bug 4122 - Can't translate raw addresses
Summary: Can't translate raw addresses
Status: VERIFIED FIXED
Alias: None
Product: systemtap
Classification: Unclassified
Component: translator (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Frank Ch. Eigler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-02 06:36 UTC by David Wilder
Modified: 2007-04-18 17:11 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Wilder 2007-03-02 06:36:22 UTC
On s390x probing raw addresses is not working.

Here is my probe:
probe kernel.statement(0x124318)
{
        printf("hit it\n");
}

I found the address here:
fgrep do_fork /proc/kallsyms 
0000000000124318 T do_fork

But it translates the probe to: module("nfs").statement(1196824)  ?????

stap -vv -p2 simple.stp
<cut>
Pass 1: parsed user script and 54 library script(s) in 590usr/10sys/618real ms.
probe @:-1 module=nfs reloc=.text section=.text pc=0x124318
# probes
module("nfs").statement(1196824)
{
printf("hit it\\n")
;
}
Pass 2: analyzed script: 1 probe(s), 0 function(s), 0 embed(s), 0 global(s) in
90usr/30sys/110real ms.
Running rm -rf /tmp/stapmf0UQ8
Comment 1 Frank Ch. Eigler 2007-03-02 11:51:05 UTC
I'm in the process of revamping this whole area of the code.
Comment 2 Frank Ch. Eigler 2007-03-02 16:07:48 UTC
David, could you also include the output of "stap -vvv [...]" for that script?
Comment 3 David Wilder 2007-03-02 16:23:50 UTC
Thanks for looking at this Frank.  Hope this helps.

lnxabat2:/home/wilder/jan-debuging/current # stap -vvv -p2 simple.stp
SystemTap translator/driver (version 0.5.13 built 2007-03-01)
(Using Red Hat elfutils 0.125 libraries.)
Copyright (C) 2005-2007 Red Hat, Inc. and others
This is free software; see the source for copying conditions.
Created temporary directory "/tmp/stapVc4vse"
Searched '/usr/local/share/systemtap/tapset/2.6.20.1-wilder/s390x/*.stp', match
count 0
Searched '/usr/local/share/systemtap/tapset/2.6.20.1-wilder/*.stp', match count 0
Searched '/usr/local/share/systemtap/tapset/2.6.20.1/s390x/*.stp', match count 0
Searched '/usr/local/share/systemtap/tapset/2.6.20.1/*.stp', match count 0
Searched '/usr/local/share/systemtap/tapset/2.6.20/s390x/*.stp', match count 0
Searched '/usr/local/share/systemtap/tapset/2.6.20/*.stp', match count 0
Searched '/usr/local/share/systemtap/tapset/2.6/s390x/*.stp', match count 0
Searched '/usr/local/share/systemtap/tapset/2.6/*.stp', match count 0
Searched '/usr/local/share/systemtap/tapset/s390x/*.stp', match count 1
Searched '/usr/local/share/systemtap/tapset/*.stp', match count 34
Searched '/usr/local/share/systemtap/tapset/LKET/2.6.20.1-wilder/s390x/*.stp',
match count 0
Searched '/usr/local/share/systemtap/tapset/LKET/2.6.20.1-wilder/*.stp', match
count 0
Searched '/usr/local/share/systemtap/tapset/LKET/2.6.20.1/s390x/*.stp', match
count 0
Searched '/usr/local/share/systemtap/tapset/LKET/2.6.20.1/*.stp', match count 0
Searched '/usr/local/share/systemtap/tapset/LKET/2.6.20/s390x/*.stp', match count 0
Searched '/usr/local/share/systemtap/tapset/LKET/2.6.20/*.stp', match count 0
Searched '/usr/local/share/systemtap/tapset/LKET/2.6/s390x/*.stp', match count 0
Searched '/usr/local/share/systemtap/tapset/LKET/2.6/*.stp', match count 0
Searched '/usr/local/share/systemtap/tapset/LKET/s390x/*.stp', match count 0
Searched '/usr/local/share/systemtap/tapset/LKET/*.stp', match count 19
Pass 1: parsed user script and 54 library script(s) in 590usr/10sys/621real ms.
probe @:-1 module=nfs reloc=.text section=.text pc=0x124318
# probes
module("nfs").statement(1196824)
{
printf("hit it\\n")
;
}
Pass 2: analyzed script: 1 probe(s), 0 function(s), 0 embed(s), 0 global(s) in
80usr/30sys/111real ms.
Running rm -rf /tmp/stapVc4vse
Comment 4 Frank Ch. Eigler 2007-04-03 18:42:14 UTC
I believe the last batch of changes to the translator fixed this.  Can you check
again?
Comment 5 David Wilder 2007-04-03 23:16:30 UTC
I will give it a try this week.
Comment 6 David Wilder 2007-04-18 18:10:10 UTC
Verified as fixed in systemtap-20070414.  closing bug.  Thanks for the fix.
Comment 7 David Wilder 2007-04-18 18:11:11 UTC
Verified